Skip to main content
POST
/
v1
/
jobs
/
{job_id}
/
runs
Trigger Run
curl --request POST \
  --url https://sdk.nimbleway.com/v1/jobs/{job_id}/runs \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "job_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "input_count": 123,
  "result_count": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Cookies

token
string | null

Response

Successful Response

A single execution of a job.

id
string
required

Unique run identifier (run_).

Pattern: ^run_[1-9][0-9]*$
job_id
string
required

Identifier of the job this run belongs to.

Pattern: ^job_[1-9][0-9]*$
status
enum<string>
required

Current run status.

Available options:
PENDING,
RUNNING,
SUCCESS,
FAILED,
CANCELLED,
TIMEOUT,
WARNING
triggered_by
enum<string>
required

What triggered the run: 'schedule' or 'manual'.

Available options:
schedule,
manual
created_at
string<date-time>
required

When the run was created.

input_count
integer | null

Number of input records processed.

result_count
integer | null

Number of result records produced.

started_at
string<date-time> | null

When the run started executing.

finished_at
string<date-time> | null

When the run finished.